<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="iso-8859-1"%>
<%--@elvariable id="model" type="java.util.Map"--%>

<html><head>
    <%@ include file="head.jsp" %>
    <%@ include file="jquery.jsp" %>
    
    <c:choose>
        <c:when test="${model.customScrollbar}">
            <link href="<c:url value="/style/customScrollbar.css"/>" rel="stylesheet">
            <script type="text/javascript" src="<c:url value="/script/jquery.mousewheel.min.js"/>"></script>
            <script type="text/javascript" src="<c:url value="/script/jquery.mCustomScrollbar.concat.min.js"/>"></script>                
        </c:when>
        <c:otherwise>
            <link href="<c:url value="/style/customScrollbarAuto.css"/>" rel="stylesheet">
        </c:otherwise>
    </c:choose>
    
</head><body class="mainframe bgcolor1">

<div id="content_main" class="content_main">

<!-- CONTENT -->

<h1>
    <img src="<spring:theme code="playlistImage"/>" width="32" alt="">
    <fmt:message key="left.playlists"/>
</h1>

<c:if test="${empty model.playlists}">
    <br>
    <p><em><fmt:message key="playlist2.noplaylists"/></em></p>
</c:if>

<c:if test="${not empty model.playlists}">

<madsonic:url var="sortByName" value="playlists.view">
<madsonic:param name="listType" value="name"/>
<madsonic:param name="direction" value="${model.direction}"/>
</madsonic:url>

<madsonic:url var="sortByCreated" value="playlists.view">
<madsonic:param name="listType" value="created"/>
<madsonic:param name="direction" value="${model.direction}"/>
</madsonic:url>

<madsonic:url var="sortByChanged" value="playlists.view">
<madsonic:param name="listType" value="changed"/>
<madsonic:param name="direction" value="${model.direction}"/>
</madsonic:url>

<madsonic:url var="sortByFiles" value="playlists.view">
<madsonic:param name="listType" value="files"/>
<madsonic:param name="direction" value="${model.direction}"/>
</madsonic:url>

<madsonic:url var="sortByLength" value="playlists.view">
<madsonic:param name="listType" value="length"/>
<madsonic:param name="direction" value="${model.direction}"/>
</madsonic:url>
<h2>
<fmt:message key="playlists.sortby"/>&nbsp;&nbsp;<a href="${sortByName}"><fmt:message key="playlists.sortbyname"/></a> <img src="<spring:theme code="sepImage"/>" style="margin: 5px 5px;" alt=""> 
         <a href="${sortByCreated}"><fmt:message key="playlists.sortbycreated"/></a> <img src="<spring:theme code="sepImage"/>" style="margin: 5px 5px;" alt=""> 
         <a href="${sortByChanged}"><fmt:message key="playlists.sortbychanged"/></a> <img src="<spring:theme code="sepImage"/>" style="margin: 5px 5px;" alt=""> 
         <a href="${sortByFiles}"><fmt:message key="playlists.sortbyfiles"/></a> <img src="<spring:theme code="sepImage"/>" style="margin: 5px 5px;" alt=""> 
         <a href="${sortByLength}"><fmt:message key="playlists.sortbylength"/></a>
</h2>

</c:if>

<br>
<c:forEach items="${model.playlists}" var="playlist" varStatus="loopStatus">

    <c:set var="caption2">
        <i class="fa fa-file accent"></i> <span class="online">${playlist.fileCount}</span>|<span class="offline">${playlist.offlineCount}</span>&nbsp;&nbsp;<i class="fa fa-music accent"></i> ${playlist.durationAsString}
    </c:set>
    <c:set var="caption3">
        <i class="fa fa-calendar accent"></i> 
        <fmt:formatDate value="${playlist.created}" type="date" dateStyle="short" var="creationDate"/>${creationDate}
        <i class="fa fa-clock-o accent"></i> 
        <fmt:formatDate value="${playlist.created}" type="time" timeStyle="short" var="creationTime"/>${creationTime}
    </c:set>
    <div class="albumThumb">
        <c:import url="playlistArt.jsp">
            <c:param name="playlistId" value="${playlist.id}"/>
            <c:param name="coverArtSize" value="${model.coverArtSize}"/>
            <c:param name="coverArtHQ" value="${model.coverArtHQ}"/>             
            <c:param name="caption1" value="${fn:escapeXml(playlist.name)}"/>
            <c:param name="caption2" value="${caption2}"/>
            <c:param name="caption3" value="${caption3}"/>            
            <c:param name="captionCount" value="3"/>
            <c:param name="showLink" value="true"/>
            <c:param name="appearAfter" value="${loopStatus.count * 20}"/>
            <c:param name="showSmoother" value="true"/>
        </c:import>
    </div>

</c:forEach>

</div>
<!-- CONTENT -->

<c:if test="${model.customScrollbar}">
	<script>
		(function($){
			$(window).load(function(){
				
				$("#content_main").mCustomScrollbar({
					axis:"y",
                    scrollInertia:800, /*scrolling inertia: integer (milliseconds)*/
                    mouseWheel:true, /*mousewheel support: boolean*/
                    mouseWheelPixels:"auto", /*mousewheel pixels amount: integer, "auto"*/
                    autoDraggerLength:true, /*auto-adjust scrollbar dragger length: boolean*/
                    autoHideScrollbar:true, /*auto-hide scrollbar when idle*/     
                    alwaysShowScrollbar:true,
                                    scrollButtons:{ enable:true, /*scroll buttons support: boolean*/
                                    scrollType:"continuous", /*scroll buttons scrolling type: "continuous", "pixels"*/
                                    scrollSpeed:"auto", /*scroll buttons continuous scrolling speed: integer, "auto"*/
                                    scrollAmount:40 /*scroll buttons pixels scroll amount: integer (pixels)*/},
                                    theme:"${model.customScrollbarTheme}",
                                    scrollbarPosition:"inside"
				});
			});
		})(jQuery);

$("#content_main").resize(function(e){
	$("#content_main").mCustomScrollbar("update");
});
</script>
</c:if>	

</body>    
</html>
